Skip to main content
PUT
/
api
/
v2
/
Pledge
/
WriteOff
/
{pledgeId}
Write-off the Pledge
curl --request PUT \
  --url https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string:required:maxLength=100>"
}
'
{
  "id": "<integer>",
  "contactId": "<integer>",
  "amountPledged": "<double>",
  "frequency": "<string>",
  "pledgeDate": "<dateTime>",
  "expectedFulfillmentDate": "<dateTime>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "segmentId": "<integer>",
  "segment": "<string>",
  "projectId": "<integer>",
  "project": "<string>",
  "isPrivate": "<boolean>",
  "status": "<string>",
  "payments": [
    {
      "id": "<integer>",
      "expectedPaymentDate": "<dateTime>",
      "expectedAmount": "<double>",
      "giftId": "<integer>",
      "actualAmount": "<double>"
    },
    {
      "id": "<integer>",
      "expectedPaymentDate": "<dateTime>",
      "expectedAmount": "<double>",
      "giftId": "<integer>",
      "actualAmount": "<double>"
    }
  ],
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

pledgeId
string
required

(Required) The pledge identifier.

Body

application/json
reason
string<style>

Response

OK

id
string
contactId
string
amountPledged
string
frequency
string
pledgeDate
string
expectedFulfillmentDate
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
segmentId
string
segment
string
projectId
string
project
string
isPrivate
string
status
string
payments
object[]
customFields
object[]
Last modified on June 5, 2026